Bug 1012419 - New Task modal freezes when tere is no user/group filled in
New Task modal freezes when tere is no user/group filled in
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
high Severity medium
: ER6
: 6.0.0
Assigned To: Mauricio Salatino
Zuzana Krejčová
Depends On:
  Show dependency treegraph
Reported: 2013-09-26 08:45 EDT by Jan Hrcek
Modified: 2016-07-31 21:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:12:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Steps to reproduce (3.48 MB, video/webm)
2013-09-26 08:45 EDT, Jan Hrcek
no flags Details
warning added, create button still enabled (36.72 KB, image/png)
2013-11-20 12:33 EST, Mauricio Salatino
no flags Details

  None (edit)
Description Jan Hrcek 2013-09-26 08:45:48 EDT
Created attachment 803385 [details]
Steps to reproduce

Description of problem:
The modal dialog for creating New Task directly in task list freezes (it's 'Create' button is disabled and never reenabled) when you don't fill in any user/group.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER3

How reproducible:

Steps to Reproduce:
1. Navigate to Task > Task List
2. Click New Task button
3. Now either
   a) click the 'minus' button next to the prefilled User field
   b) erase the User input field
4. Click 'Create' button

Actual results:
The create button is disabled and the form doesn't display any message to indicate what happened.

Expected results:
Some input validation should be present similar to validation for Task name - e.g. message like 'You must add at leas one user/group' should be displayed near the buttons for adding user/group.

Additional info:
Video of steps to reproduce attached. Notice how the 'Create' button is disabled after clicked.
Comment 1 Mauricio Salatino 2013-09-26 10:05:07 EDT
This was already fixed in master and in 6.0.x.
Comment 2 Jan Hrcek 2013-10-16 08:38:53 EDT
Unfortunately it is not fixed - the problem is still there. The new task modal dialog still behaves as described and as shown in the video attached in the initial description.

Failed QA with BPMS 6.0.0 ER4
Comment 3 Mauricio Salatino 2013-11-20 12:33:04 EST
Fixed in 6.0.x http://github.com/droolsjbpm/jbpm-console-ng/commit/d5854682f and in master
Comment 4 Mauricio Salatino 2013-11-20 12:33:46 EST
Created attachment 826765 [details]
warning added, create button still enabled
Comment 5 Jan Hrcek 2014-01-03 03:32:22 EST
Ok, verified with BPMS 6.0.0 ER6

Note You need to log in before you can comment on or make changes to this bug.